package com.unis.base.server.domain;


import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import com.unis.base.common.vo.TyCrkjsxxVO;
import com.unis.base.common.vo.TzQylxVO;
import com.unis.base.common.vo.CompanyVO;
import com.unis.base.common.vo.TzYjqyVO;
import com.unis.base.server.dao.TzYjqyDao;
import com.unis.base.server.entity.TyCrkjsxxDO;
import com.unis.base.server.entity.TzQylxDO;
import com.unis.base.server.entity.TzSlqyDO;
import com.unis.base.server.entity.TzYjqyDO;
import com.unis.common.utils.LsBeanUtils;

import org.springframework.stereotype.Component;

/**
 * @author huangxing
 * @version 1.0
 * @Title TzSlqyDomain
 * @ProjectName 持久化
 * @Description
 * @date 2019/07/22 17点26分
 */
@Component
public class TzYjqyDomain {

	@Autowired
	private TzYjqyDao tzYjqyMapper;

	/**
	 * 获取企业信息列表
	 * @param tzSlqyVO
	 * @return
	 */
	public List<TzYjqyVO> getTzYjqyList(TzYjqyVO tzYjqyVO) {
		TzYjqyDO tzYjqyDO = new TzYjqyDO();
		//进行传递参数copy
		LsBeanUtils.copyAllProperties(tzYjqyVO,tzYjqyDO);
		List<TzYjqyVO> TzYjqyVOList = new ArrayList<TzYjqyVO>();

		for (TzYjqyDO TyCrkjsxxDO : tzYjqyMapper.select(tzYjqyDO)) {
			LsBeanUtils.copyAllProperties(TyCrkjsxxDO,tzYjqyVO);
			TzYjqyVOList.add(tzYjqyVO);
		}
		return TzYjqyVOList;
	}

	/**
	 * 新增企业信息
	 * @param tzSlqyVO
	 * @return
	 */
	public int insertTzYjqy(TzYjqyVO tzYjqyVO) {
		TzYjqyDO tzYjqyDO = new TzYjqyDO();
		LsBeanUtils.copyAllProperties(tzYjqyVO,tzYjqyDO);

		//设置获取到的最大id
		Integer id = tzYjqyMapper.selectMaxId();
		if(id==null) {
			id = 0;
		}
		tzYjqyDO.setId(id+1);
		return tzYjqyMapper.insert(tzYjqyDO);
	}

	/**
	 *
	 * @param TyZjxxzbVO
	 * @return
	 */
	public int update(TzYjqyVO tzYjqyVO) {
		//进行传递参数copy
		TzYjqyDO tzYjqyxDO = new TzYjqyDO();
		LsBeanUtils.copyAllProperties(tzYjqyVO, tzYjqyxDO);
		return tzYjqyMapper.updateByPrimaryKey(tzYjqyxDO);
	}

	/**
	 * 根据Id查询返回的企业信息类型
	 * @param id
	 * @return
	 */
	public TzYjqyVO getOneById(Integer id) {
		TzYjqyDO oneById = tzYjqyMapper.getOneById(id);
		if(oneById!=null) {
			TzYjqyVO tzYjqyVO = new TzYjqyVO();
			LsBeanUtils.copyAllProperties(oneById,tzYjqyVO);
			return tzYjqyVO;
		}
		return null;
	}
}
